Module ij
Package ij

# Class OtherInstance

java.lang.Object
ij.OtherInstance

public class OtherInstance extends Object

## Constructor Summary

Constructors
Constructor
Description
`OtherInstance()`

## Method Summary

Modifier and Type
Method
Description
`protected static int`
`getInt(Properties props, String key)`
`protected static String`
`getPrefsDirectory()`
`static String`
`getStubPath()`
`static boolean`
`isRMIEnabled()`
`protected static Properties`
`loadPrefs()`
`static void`
`makeFilePrivate(String path)`
`static boolean`
`sendArguments(String[] args)`
`static void`
`startServer()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OtherInstance

public OtherInstance()

## Method Details

### getStubPath

public static String getStubPath()

### makeFilePrivate

public static void makeFilePrivate(String path)

### sendArguments

public static boolean sendArguments(String[] args)

### startServer

public static void startServer()

### isRMIEnabled

public static boolean isRMIEnabled()

### getInt

protected static int getInt(Properties props, String key)

### loadPrefs

protected static Properties loadPrefs()

### getPrefsDirectory

protected static String getPrefsDirectory()